libmariadb-dev ubuntu 20.04

Pokud se snažíte instalovat knihovnu mariadb do pythonu, a nelze to, tak může být problém v knihovně libidn2-0 verze 2.3.0-1.

Pokud vidíte při spuštění

sudo apt-cache policy libidn2-0

toto

tedy, že máte instalovanou verzi 2.3.0-1, nainstalujte si verzi 2.2.0-2

sudo apt-get install libidn2-0=2.2.0-2

Všechny příkazy za sebou

sudo apt-get install libmariadb3
sudo apt-get install libidn2-0=2.2.0-2
sudo apt-get install libmariadb-dev
sudo pip3 install mariadb

Pokud vám v pythonu nebude fungovat připojení, mrkněte se, jakým způsobem se hlásíte do databáze. Pokud vidíte něco jiného než mysql_native_password, změňte to

sudo mysql -u root -p
SELECT User, Host, Plugin FROM mysql.user;
UPDATE mysql.user SET plugin = 'mysql_native_password' WHERE User='your_db_login_name';
FLUSH PRIVILEGES;

Napsat komentář

Vaše emailová adresa nebude zveřejněna.